//
//  KBLinkedFileView.h
//  ------------------
//
//  (c) Keith Blount 2006
//  
//	Shows the icon of a given file and provides a link for the user to click on to open the file
//	in its default application.
//

#import <Cocoa/Cocoa.h>


@interface KBLinkedFileView : NSView
{
	NSString *filePath;
	NSColor *backgroundColor;
	NSImage *fileIcon;
}
- (void)setFilePath:(NSString *)newPath;
- (NSString *)filePath;
- (void)setBackgroundColor:(NSColor *)color;
- (NSColor *)backgroundColor;
@end
